Update Binder Section Binding Rule
PUT
/api/{version}/objects/binders/{binder_id}/sections/{node_id}/binding_ruleHeaders
Section link for Headers| Name | Description |
|---|---|
Content-Type | application/x-www-form-urlencoded |
Accept | application/json (default) or application/xml |
URI Path Parameters
Section link for URI Path Parameters| Name | Description |
|---|---|
{binder_id} | The binder id field value. |
{node_id} | The binder node id field value. |
Body Parameters
Section link for Body Parameters| Name | Description |
|---|---|
binding_rule__v | [Required] Indicates which binding rule to apply (which document versions to link to the section). Options are: default (bind to the latest available version (assumed if binding_rule is blank)), steady-state (bind to latest version in a steady-state), or current (bind to current version). |
binding_rule_override__v | [Required] Set to true or false to indicate if the specified binding rule should override documents or sections which already have binding rules set. If set to true, the binding rule is applied to all documents and sections within the current section. If blank or set to false, the binding rule is applied only to documents and sections within the current section that do not have a binding rule specified. |
Request
Section link for Requestcurl -X PUT -H "Authorization: {SESSION_ID}" \
-H "Content-Type: application/x-www-form-urlencoded" \
-d "binding_rule__v=steady-state" \
-d "binding_rule_override__v=true" \
https://myvault.veevavault.com/api/v18.1/objects/binders/566/sections/1427232809771:1381853041/binding_ruleResponse
Section link for Response{
"responseStatus": "SUCCESS",
"id": "1427491342404:-1828014479"
}Response Details
Section link for Response DetailsOn SUCCESS, Vault returns the Node ID of the updated section.